Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Templates

Get Template

GET
/v1/templates/{id}

Get one Template by ID.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the resource.

Formatuuid

Query Parameters

include?array<"published_version" | "published_version.approvals">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "key": "string",  "language": "string",  "type": "authentication",  "request_approvals": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "published_version": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",    "version": 9007199254740991,    "published": true,    "settings": {      "postal": {        "duplex": true      }    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "approvals": [      {        "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1",        "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",        "status": "approved",        "category": "string"      }    ]  }}